Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OutletGroup::MetaData Struct Reference

Outlet group metadata. More...

## Public Attributes
int | groupId
| (ID) Value under which OutletGroupManager references this group, unique only for a given point in time
int | uniqueId
| (Random) ID value uniquely identifying this group, even after group deletions and creations of new groups

## Detailed Description

Outlet group metadata.

Definition at line 33 of file OutletGroup.idl.

## Member Data Documentation

## ◆ groupId

int pdumodel::OutletGroup::MetaData::groupId

(ID) Value under which OutletGroupManager references this group, unique only for a given point in time

Definition at line 34 of file OutletGroup.idl.

## ◆ uniqueId

int pdumodel::OutletGroup::MetaData::uniqueId

(Random) ID value uniquely identifying this group, even after group deletions and creations of new groups

Definition at line 36 of file OutletGroup.idl.

The documentation for this struct was generated from the following file:

- OutletGroup.idl